::placeholder {
	color: rgba(255, 255, 255, .5);
}

::-webkit-search-cancel-button {
	color: white;
}

:root {
	--panelwidth: 500px;
	--rownum: 90px;
	--rowheight: 74px;
}

.ui-front {
	z-index: 1000;
}

.ui-icon {
	text-align: center;
	width: 20px;
}

.ui-icon-triangle-1-s {
	display: none;
}

.ui-icon.fa,
.ui-icon[class*=" icon-"] {
	background: none repeat scroll 0 0 transparent;
	left: 0;
	margin-left: 1px;
	text-indent: 0;
}

.ui-icon.fa {
	font-size: 14px;
	line-height: 16px;
}

.ui-menu .ui-menu-item.ui-state-disabled {
	display: none;
}

.ui-datepicker-trigger,
.sp-dd {
	display: none !important;
}

.sp-preview {
	margin-right: 0px;
	/*  width: 20px; */
	/* height: 50px; */
}

li>div.row>div.name>button:hover,
#dom:not([data-state="PLAYER"]) li:not(.playing)>div.row>div.thumb_btn>button:hover {
	transition-delay: 1s;
}

#dom:not([data-state="PLAYER"]) select[name="device"]+span.ui-selectmenu-button {
	display: none;
}

div#filter input {
	position: absolute;
	left: 0px;
	background: transparent;
	width: calc(100% - 25px);
}

/* div#filter.closed input{
	display: none;
} */
div#filter button {
	position: absolute;
	right: 0px;
	margin: 0px;

}

.navbar-brand {
	width: 0px;
	flex: 1 1 0%;
}

#dom {
	display: block;
	height: 100%;
	width: 100%;
}

.selector.playlist ul {
	margin-bottom: 10px;
}

/* #dom[data-state="PLAYER"]:not(.PREVIEW) .selector.playlist #element button.edit{
	pointer-events:none;
	opacity: .1;
} */
#dom:not([data-state="PLAYER"]):not(.PREVIEW) .selector.playlist li.inactive .name>button

/*,
#dom:not([data-state="PLAYER"]):not(.PREVIEW) .selector.playlist li.islocked .name > button ,
#dom:not([data-state="PLAYER"]):not(.PREVIEW) .selector.playlist li:not(.editable) .name > button */
	{
	cursor: default !important;
}

#debug,
#header,
#content,
#footer {
	overflow: hidden;
	position: absolute;
	left: 0px;
	width: 100%;
}

#header,
#footer {	
	display: flex !important;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
}

#footer div#user {
	position: relative !important;
	margin-left: 2px;
}

#footer div#status {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	flex: 1 1 0%;
	line-height: 2em;
	padding-top: 5px;
}

#header {
	height: 50px;
	top: 0px;
}

#debug,
#content {
	height: calc(100% - 90px);
	top: 50px;
}

#debug {
	pointer-events: none;
	z-index: 999999;
}

#footer {
	height: 40px;
	bottom: 0px;
}
#flex-content{
	display: flex;
	justify-content: stretch;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: stretch;
	position: absolute;
	top: 40px;
	left: 0px;
	width: 100%;
	height: calc(100% - 40px);
}
#flex-content>*{
	position: relative;
}
#xml-list {
	flex: 1 1 0%;
	overflow: hidden;
	display: flex;
	flex-flow: column nowrap;
	background: white;
}
#header>button,
#footer>button,
#player>.head div[name="timer"]>div,
#player>.head input,
#player>.head select,
#xml-editor>.head select,
#player>.head button.fa,
#xml-editor>.head button.fa {
	float: right;
	width: auto;
	margin-right: 7px;
	border-width: 0px;
	padding: 0px 10px 0px 10px;
}

#player>.head div[name="timer"]>* {
	margin: 0px;
}

#player>.head i[name="capture"],
#player>.head label {
	margin-left: 10px;
	margin-right: 5px;
}

#player>.head img[name="keycontrol"] {
	width: 25px;
	height: 25px;
	object-fit: none;
	object-position: left center;
}

#player:not(.capture)>.head i[name="capture"],
#player:not(.keycontrol)>.head img[name="keycontrol"] {
	display: none;
}

#header>button,
#footer>button,
#player>.head button.fa,
#xml-editor>.head button.fa {
	color: inherit;
	background-color: transparent !important;
}

#player>.head div[name="timer"]>div,
#player>.head input {
	position: relative;
	padding-right: 5px;
	flex-grow: 0;
	flex-shrink: 0;
}

#player>.head input[name="filter"] {
	min-width: 0px;
	width: 25px;
	transition: 0.5s width;
}

#player>.head input[name="filter"]:hover,
#player>.head input[name="filter"]:focus {
	width: 200px;
}

#player>.head div[name="timer"] input[type="date"],
#player>.head div[name="timer"] div[name="date"] {
	width: 120px;
}

#player>.head div[name="timer"] input[type="time"],
#player>.head div[name="timer"] div[name="time"] {
	width: 120px;
}

#player>.head div[name="timer"]>div {
	text-rendering: auto;
	color: initial;
	letter-spacing: normal;
	word-spacing: normal;
	text-transform: none;
	text-indent: 0px;
	text-shadow: none;
	display: inline-block;
	text-align: start;
	margin: 0em 0em 0em 0em;
	font-size: 13px;
	font-family: inherit;
	box-sizing: border-box;
}

#player>.head input[name="filter"]:before,
#player>.head div[name="timer"]>div:before,
#player>.head div[name="timer"] input[type="date"]:before,
#player>.head div[name="timer"] input[type="time"]:before {
	display: inline-block;
	font: normal normal normal 14px/1 FontAwesome;
	font-size: inherit;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	position: absolute;
	line-height: 25px;
	right: 10px;
}

#player>.head input[name="filter"]:before {
	content: "\f0b0";
}

#player>.head div[name="device-layout"] {
	display: flex;
}

#player>.head div[name="device-layout"],
#player>.head div[name="timer"] {
	position: relative;
}

#player>.head div[name="timer"] div[name="time"],
#player>.head div[name="timer"] div[name="date"] {
	position: absolute;
	height: 25px;
	pointer-events: auto;
}

#player>.head div[name="timer"] input[type="date"]:before,
#player>.head div[name="timer"] div[name="date"]:before {
	content: "\f073";
}

#player>.head div[name="timer"] input[type="time"]:before,
#player>.head div[name="timer"] div[name="time"]:before {
	content: "\f017";
}

#player>.head .ui-selectmenu-button {
	margin-right: 5px;
}

#player>.head div[name="timer"]>div,
#player>.head input,
#player>.head input:-webkit-autofill,
#player>.head select,
#player>.head .ui-selectmenu-button,
#xml-editor>.head>select {
	color: white !important;
	color: var(--font-over-medium) !important;
	background-color: var(--dark) !important;
	border-radius: 12px !important;
	border-width: 0px !important;
}

/* Firefox kann das nicht */
#player>.head input:-internal-autofill-selected {
	color: white !important;
	color: var(--font-over-medium) !important;
	background-color: var(--dark) !important;
	border-radius: 12px !important;
	border-width: 0px !important;
}

#player>.head,
#xml-editor>.head {
	background-color: var(--medium-dark) !important;
	border-bottom: 1px solid black !important;
	border-bottom: 1px solid var(--darker) !important;
}

#player>.head i[name="position"] {
	font-style: normal;
	text-align: center;
	width: 15px;
}

#content {
	display: flex;
	align-items: stretch;
	justify-content: space-between;
}

#menu,
#container {
	position: relative;
	overflow: hidden;
	margin: 0px;
	background-color: white;
}

#menu {
	left: 0px;
	top: 0px;
	width: 250px;
	height: 100%;
}

#container {
	flex: 1 1 0%;
}

#container {
	background-image: url(/wowslider/images/bg1.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	/* filter: grayscale(.8); */
}

#menu>.ui-resizable-e {
	width: 20px;
	right: 0px;
	background-color: rgb(66, 81, 101);
	background-color: var(--medium);
}

#selector {
	position: absolute;
	left: 0px;
	top: 0px;
	width: auto;
	height: 100%;
	display: flex;
	flex-direction: row;
}

.head {
	width: inherit;
	/*  text-transform: uppercase; */
	letter-spacing: 0.5px;
	font-weight: 300;
	vertical-align: middle;
	box-sizing: border-box;
	white-space: nowrap;
}

#player,
#selector>.panel,
#xml-editor>.panel {
	width: 100%;
	margin: 0px !important;
	border: none !important;
	border-radius: 0px !important;
}

#player>.head,
#xml-editor>.head,
#selector>.panel .head,
#xml-editor>.panel .head {
	display: flex;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	overflow: hidden;
	cursor: default;
	height: 40px;
	min-height: 40px;
	color: white;
	background-color: rgb(66, 81, 101);
	background-color: var(--medium);
	padding: 0px 5px 0px 5px;
	margin: 0px;
	border: none;
}

#selector>.panel .head {
	padding-right: 0px;
}

#player>.head i,
#xml-editor>.head i,
#selector>.panel .head i {
	position: initial;
}

#player>.head select {
	max-width: 200px;
}

#player>.head p[name="name"],
#xml-editor>.head p,
#selector>.panel .head p,
#selector>.panel .head select {
	flex: 1 1 0%;
	margin-left: 10px;
	margin-right: 10px;
	min-width: 0px;
	overflow: hidden;
	text-overflow: ellipsis;
}

#selector>.panel .head select {
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	-webkit-appearance: none;
	appearance: none;
	padding: 0px !important;
}

#player>.head p[name="name"],
#player>.head p[name="pages"] {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

#xml-editor>.head button[name="play"],
#player>.head>.buttons>button[name="stop"],
.panel .head button.fa:not([name="playlist"]) {
	color: var(--medium) !important;
	background-color: var(--font-over-medium);
	border-radius: 15px;
}

#element li>div.row>button.fa-edit:before {
	margin-left: 2px;
}

.head select.opague:disabled {
	opacity: 1;
}

.head button.fa-play:before,
.head button.fa-chevron-right:before {
	margin-left: 3px;
	font-size: 12px;
}

.head button.fa-chevron-left:before {
	margin-left: -3px;
	font-size: 12px;
}

.head button:not(.fa) {
	color: inherit !important;
	background-color: inherit !important;
	padding: 0px 15px;
}

.selector.playlist>.head button[name="playlist"] {
	color: inherit !important;
	background-color: var(--darker) !important;
	border-top-left-radius: 15px !important;
	border-bottom-left-radius: 15px !important;
	border-top-right-radius: 0px !important;
	border-bottom-right-radius: 0px !important;
	padding-left: 5px !important;
	cursor: default;
}

.selector.playlist>.head button[name="playlist"]+select[name="playlist"],
.selector.playlist>.head button[name="playlist"]+select[name="playlist"]:disabled {
	color: inherit !important;
	background-color: var(--darker) !important;
	margin-left: 0px !important;
	border-top-left-radius: 0px !important;
	border-bottom-left-radius: 0px !important;
	border-top-right-radius: 15px !important;
	border-bottom-right-radius: 15px !important;
}

.selector.playlist.RW>.head button[name="playlist"]:before {
	content: "\f022";
}

.selector.playlist.R>.head button[name="playlist"]:before {
	content: "\f023";
}

.selector.playlist.LOCKED>.head button[name="playlist"] {
	color: red !important;
	cursor: pointer;
}

.selector.playlist.LOCKED ul li button:not(.edit) {
	cursor: default;
}

#player>.head button[name="mute"]:before {
	width: 13px;
	display: inline-block;
	text-align: left;
}

#xml-editor>.head button[name="play"],
#player>.head>.buttons>button[name="stop"],
#selector>.panel .head button[name="play"] {
	padding: 0px 10px 0px 10px !important;
	color: var(--dark) !important;
	background-color: var(--light) !important;
}

#selector>.panel .head button[name="play"] {
	width: 65px !important;
}

#selector>.panel .head button[name="play"]:after {
	font-weight: 500;
	content: " Play";
}

#selector>.panel .head button[name="play"].fa-stop:after {
	content: " Stop";
}

#selector>.panel .head button[name="play"].fa-pause:after {
	content: " Pause";
}

.head button:not(.preview-page) {
	border: none !important;
}

#selector>.panel .head button {
	top: 2px;
	margin-left: 10px;
	padding: 0px;
	line-height: 12px;
}

#row-adder>.entry>.rownum>i.fa:before {
	font-size: 22px;
}

.panel.selector {
	display: flex;
	flex-direction: column;
}

#xml-editor>.head p,
.panel .head {
	text-transform: capitalize;
}

.panel .content {
	overflow-x: hidden;
	overflow-y: auto;
	display: block;
	height: 100%;
	padding: 5px;
}

.panel .row {
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	align-items: center;
	min-height: 40px;
	min-height: var(--rowheight);
}

.panel .row>*:first-child {
	margin-left: 10px;
}

.panel .row>*:last-child {
	margin-right: 10px;
}

.online {
	color: green;
}

.offline {
	color: red;
}

.panel .row>.name {
	width: 0px;
	flex: 1 1 auto;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	text-align: left;
	background: inherit;
	border: none;
	font-size: 13px;
}

.panel .row>.icons {
	width: 25px;
	display: flex;
	justify-content: center;
	flex-direction: column;
}

.panel .row>.icons>i.fa {
	padding: 2px 0px;
}

.panel .row>.duration {
	text-align: right;
}

#select-device>.head>.name.storeid,
.panel .row>.name.store_id {
	width: 60px;
	flex: 0 0 auto;
	padding-left: 6px;
	padding-right: 6px;
}

.panel .row>.name.devices {
	flex-grow: 3;
	height: auto;
	margin-left: 0px;
	margin-right: 0px;
	padding-left: 0px;
	padding-top: 10px;
	padding-bottom: 10px;
}

.panel .row>.name.devices>div {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	line-height: 20px;
}

.panel .row>.name.devices>div>i {
	text-align: center;
	vertical-align: middle;
	margin-right: 5px;
	width: 25px;
}

.panel .row>.name>.tooltip {
	background: inherit !important;
}

.panel .row>.name>* {
	border: none;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	text-align: left;
}

.panel .row>div.name,
.panel .row>div.icons,
.panel .row div.thumb_btn {
	position: relative;
	overflow: hidden;
}

li[data-type="placeholder"] .row div.thumb_btn {
	background: white url(/html5/img/transparent.png) repeat;
}

.panel .row>div.name>*,
.panel .row div.thumb_btn>* {
	position: absolute;
	width: 100%;
	height: 100%;
}

.panel .row div.thumb_btn>button {
	line-height: 12px;
	background: var(--trans-black) !important;
	border-width: 0px !important;
	border-radius: 0px !important;
}

li>div.row>div.name>label {
	padding-left: 6px;
	padding-right: 6px;
}

li>div.row>div.name>button {
	background: inherit;
}

li.playing>div.row>div.thumb_btn>button:before {
	content: "\f28d";
}

li:not(.playing)>div.row>div.thumb_btn>button:before {
	content: "\f144";
}

li>div.row>div.name>button,
li:not(.playing)>div.row>div.thumb_btn>button {
	opacity: 0;
}

li>div.row>div.name>button.timer span.future {
	color: blue;
}

li>div.row>div.name>button.timer span.past {
	color: red;
}

li>div.row>div.name>button.timer,
#dom:not([data-state="PLAYER"]) li:not(.playing)>div.row>div.thumb_btn>button {
	transition: 0.5s opacity;
}

li>div.row>div.name>button.timer:hover,
li:not(.playing)>div.row>div.thumb_btn>button:hover {
	opacity: 1;
}

li>div.row>div.name>button:hover,
#dom:not([data-state="PLAYER"]) li:not(.playing)>div.row>div.thumb_btn>button:hover {
	transition-delay: 1s;
}

#dom:not([data-state="PLAYER"]) ul#audio>li>div.row>div.thumb_btn>button,
#dom:not([data-state="PLAYER"]) ul#audio>li>div.row>div.name>button {
	pointer-events: none;
}

.panel .row div.thumb_btn>button:before {
	font-size: 30px;
	color: var(--light) !important;
}

.panel .row>button.color,
.panel .row i.thumb,
.panel .row>img.thumb,
.panel .row div.thumb_btn,
.panel .row>.name,
.panel .row>.icons,
.panel .row span.num {
	height: calc(var(--rowheight) - 10px) !important;
	line-height: calc(var(--rowheight) - 10px) !important;
	margin-right: 5px;
}

.panel .row i.thumb {
	text-align: center;
	font-size: 30px;
	color: grey;
}

.panel .row span.num {
	position: relative;
	background-color: inherit;
}

.panel .row i.thumb,
.panel .row div.thumb_btn,
.panel .row>img.thumb {
	outline: 1px solid rgb(66, 81, 101);
	outline: 1px solid var(--medium);
	background-color: white;
	width: calc(var(--rowheight) - 10px) !important;
}

.panel .row span.num i[class*="fa-chevron"] {
	position: absolute;
	left: 0px;
	opacity: .1;
}

ul li.chained .row span.num i[class*="fa-chevron"],
ul.ui-sortable-disabled .row span.num i[class*="fa-chevron"] {
	display: none;
}

div.row>.name>div[name="description"] {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	padding-left: 6px;
	padding-right: 6px;
}

div.row>.name>div[name="description"]>p {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	width: 100%;
	line-height: normal;
}

div.row>.name>div[name="description"]>p[name="alias"],
div.row>.name>div[name="description"]>p[name="tags"] {
	flex: 1 1 0%;
}

div.row>.name>div[name="description"]>p[name="title"] {
	width: auto;
	height: auto;
	flex-grow: 0;
}

div.row>.name>div[name="description"]>p[name="tags"] i {
	width: auto;
	margin-right: 5px;
}

div.row>.name>div[name="description"]>p[name="tags"]>* {
	margin-right: 5px;
}

li.edited div.row>.name>div[name="description"]>p[name="title"] {
	color: red;
}

.panel li.inactive:not(.selected):not(.playing):not(:hover) {
	filter: grayscale(100%);
	-webkit-filter: grayscale(100%);
	-moz-filter: grayscale(100%);
	-ms-filter: grayscale(100%);
	-o-filter: grayscale(100%);
	filter: url(desaturate.svg#greyscale);
	filter: gray;
	-webkit-filter: grayscale(1);
	opacity: .5;
}

.panel li.inactive button.edit {
	display: none;
}

.panel li.inactive .name button {
	pointer-events: none;
}

.panel li .row input[type=checkbox]:not(old):disabled+label {
	opacity: 1 !important;
}

.panel li .row input[type=checkbox]:not(old):disabled+label:before {
	opacity: .3;
}

.sortable-hovered .row span.num i.fa {
	opacity: 1;
}

.panel .row span.num i.fa-chevron-up {
	top: 0px;
}

.panel .row span.num i.fa-chevron-down {
	bottom: 0px;
}

.panel .row i.fa-meeting {
	height: 15px;
}

.panel .row>i.fa {
	font-size: 15px;
	margin-bottom: 1px;
}

.panel .row i.fa,
.panel .row span.num,
.panel .row button {
	text-align: center;
	width: 30px;
}

.panel .row>button {
	height: 30px;
	line-height: 30px;
	margin-left: 10px;
}

.panel.xml-editor div.content div.entry,
.selector.playlist div.content ul {
	border-bottom: 1px solid #1d2d44;
	border-bottom: 1px solid var(--darker);
}

.panel.xml-editor div.content div.entry div.value {
	margin-bottom: 5px;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img:not([value=""]),
.panel.xml-editor div.content div.entry div.value img {
	background-color: rgba(0, 0, 0, .2) !important;
	background-repeat: repeat !important;
	background-image: url(/html5/img/transparent-3.png) !important;
	object-fit: contain;
}
#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img[value=""] {
	background-image: url("/html5/img/media.svg"), url(/html5/img/transparent-3.png);
	background-repeat: no-repeat, repeat;
	background-position: center center;
	background-size: contain, auto;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img {
	width: 0px;
	flex: 1 1 0%;
	object-fit: contain;
	border-top: 4px solid var(--dark);
	border-bottom: 4px solid var(--dark);
	border-left: 2px solid var(--dark);
	border-right: 2px solid var(--dark);
}
.panel.xml-editor div.content div.entry div.value img,
.panel.xml-editor div.content div.entry div.value input,
.panel.xml-editor div.content div.entry div.value select,
.panel.xml-editor div.content div.entry div.value .sp-replacer {
	width: 100%;
	min-height: 55px;
}

.panel.xml-editor div.content div.entry div.head {
	margin-bottom: -1px;
}

.panel.xml-editor div.content div.entry label.name i.fa {
	font-size: 14px;
}

.panel.xml-editor div.content div.entry label.name,
.selector.playlist div.content ul:before {
	background: #1d2d44;
	background: var(--darker);
	color: white;
	font-size: 11px;
	border-bottom: 2px solid white;
	border-radius: 0px 0px 8px 0px;
}

.selector.playlist div.content ul:before {
	padding: 2px 8px 2px 8px;
	display: inline-block;
}

.selector.playlist div.content ul li {
	height: 40px;
	height: var(--rowheight);
}

.selector.playlist div.content ul li.selected input[type="checkbox"]+label {
	pointer-events: none;
	opacity: .5;
}

div.content ul li.selected>div.row {
	border-top: 1px solid white;
	border-bottom: 1px solid white;
}

div.content ul li:not(.selected):not(.playing)>div.row {
	background: inherit;
}

.panel li .row {
	border-bottom: 1px solid #ededed;
}

li:not(#row-adder):not(.select):nth-child(odd) {
	background: #ededed;
}

li:nth-child(even):not(.select) {
	background: white;
}

ul:empty {
	display: none;
}

ul#element:before {
	content: "Playlist"
}

#content.DE ul#element:before {
	content: "Playliste"
}

ul#timer:before {
	content: "Alarm mode"
}

#content.DE ul#timer:before {
	content: "Weckermodus"
}

ul#overlay:before {
	content: "Overlay"
}

ul#remote:before {
	content: "QRCode remote control"
}

#content.DE ul#remote:before {
	content: "QRCode Fernbedienung"
}

ul#ticker:before {
	content: "Ticker"
}

ul#audio:before {
	content: "Audio"
}

#player {
	z-index: 1000;
	display: flex;
	flex-flow: column wrap;
	justify-content: space-between;
	align-items: stretch;
}

#player>.head {
	height: auto;
	align-items: flex-start;
}

#player>.head>* {
	min-height: 40px;
}

#player>.head>.buttons {
	width: calc(100% - 43px);
	overflow: hidden;

	height: auto;
	display: flex;
	flex-flow: row wrap;
	justify-content: flex-end;
}

#player>.head>.buttons>* {
	margin: 7px;
	height: 25px;
	line-height: 25px;
}

#xml-editor>.head>p[name="name"],
#player>.head>p[name="name"] {
	flex-grow: 2;
}

/* #player > .head>select[name="device"],
#player > .head>select[name="device"]+span {
	flex-grow: 1;
	min-width: 180px;
} */

#player,
#xml-editor {
	display: block;
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
}


#player,
#wysiwyg {
	z-index: 100;
	overflow: hidden;
	box-sizing: border-box;
	background-repeat: no-repeat;
	background-size: cover;
	background-image: url(/wowslider/images/bg1.jpg);
}
#wysiwyg[data-dock="none"] {
	cursor: move;
	position: absolute;
	border:1px solid rgb(0, 0, 0);
	box-shadow: 5px 5px 10px rgba(0, 0, 0, .2);
}

#player>.content {
	display: block;
	/* position: absolute;
	left: 0px; */
	flex: 1 1;
	/* width: 100%;
	height: calc(100% - 40px); */
	padding: 1px;
	-webkit-box-shadow: inset -1px -1px 6px 5px rgba(0, 0, 0, 0.2);
	box-shadow: inset -1px -1px 6px 5px rgba(0, 0, 0, 0.2);
}

#content>iframe,
#player>.content iframe,
#wysiwyg>iframe {
	position: absolute;
	width: 100%;
	height: 100%;
	display: block;
	background: black;
	outline: 1px solid white;
	outline: 1px solid var(--lighter);
	border-width: 0px;
	overflow: hidden;
	transform-origin: top left;
}

#wysiwyg>iframe {
	pointer-events: none;
}

#xml-list .list {
	height: 0px;
	flex: 1 1 auto;
}

#xml-list.layout .list.data,
#xml-list.data .list.layout {
	display: none;
}

#xml-list .list>div {
	position: relative;
}

#xml-list .list>div.xml-columns,
#xml-list .list>div.xml-rows {
	width: 100%;
	left: 0px;

}

#xml-list .list>div.xml-columns {
	height: 25px;
	min-height: 25px;
	display: block;
	overflow: hidden;
	background-color: rgb(66, 81, 101);
	background-color: var(--medium);
}
.rownum>select,
#xml-list .list>div.xml-columns>.wrap>.entry {
	color: white;
	background-color: var(--dark);
}

.rownum>select {
	border-width: 0px;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	width: var(--rownum) !important;
}

#xml-list .list .entry {
	overflow: hidden;
	box-sizing: border-box;
	width: 125px;
	height: 100%;
	display: inline-block;
}

#xml-list .list .entry:not([name="Row_Number"]) {
	border-left: 1px solid rgba(255, 255, 255, 0.4);
	border-right: 1px solid rgb(29, 45, 68);
}

#xml-list .list>div.xml-rows {
	overflow-x: scroll;
	background-color: transparent;
	border-top: 1px solid black;
	height: calc(100% - 25px);
	background-repeat: repeat-y;
}

#xml-list .list.layout>div.xml-rows {
	overflow-y: hidden;
}

#xml-list .list.data>div.xml-rows {
	overflow-y: scroll;

}

#xml-list .list>div.xml-rows>ul li {
	width: auto;
	white-space: nowrap;
	border-top: 1px solid rgba(255, 255, 255, .3);
	border-top: 1px solid rgba(0, 0, 0, .3);
	border-left: none;
	border-right: none;
}

#xml-list .list>div.xml-rows>ul li:not(#row-adder) {
	border-bottom: 1px solid rgba(0, 0, 0, .3);
}

#xml-list .list>div.xml-rows>ul li div.entry:not([name="Row_Number"]) {
	overflow: hidden;
	border-left: 1px solid rgba(255, 255, 255, 0.3);
	border-right: 1px solid rgba(0, 0, 0, .3);
	width: 125px;
	height: 100%;
	position: relative;
}

#xml-list div.entry>div.wrap {
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	height: 100%;
	border: 0px;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap {
	position: absolute;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap.textarea p {
	pointer-events: none;
	white-space: normal !important;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>*:not([type="url"]):not(.sp-replacer):not(img) {
	margin: 0px 5px 0px 5px;
	width: calc(100% - 10px);
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>textarea,
#xml-list .list>div.xml-rows>ul li div.entry>.wrap>input[type="url"],
#xml-list .list>div.xml-rows>ul li div.entry>.wrap>.sp-replacer {
	width: 100% !important;
	height: 100% !important;
	margin: 0px !important;
}


#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img:first-child {
	border-left: 5px solid var(--dark);
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img:last-child {
	border-right: 5px solid var(--dark);
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img:not(:last-child) {
	margin-right: 0px;
}



.rownum {
	width: var(--rownum) !important;
	margin-left: 0px;
	margin-right: 0px !important;
	margin-top: 0px !important;
	margin-bottom: 0px !important;
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	height: 100%;
	color: white;
	background-color: transparent;
	background-position: 0 0;
	background-repeat: repeat-y;
	border-width: 0px;
}

button.rownum {
	background-color: var(--darker);
}

div.entry[name="Row_Number"] {
	position: sticky;
	left: 0px;
	z-index: 1;
	border-width: 0px;
}

#xml-list .list>div.xml-rows>ul li div.entry>.rownum>* {
	width: 100%;
}

#xml-list .list>div.xml-rows>ul li div.entry>.rownum i,
#xml-list .list>div.xml-rows>ul li div.entry>.rownum p {
	text-align: center;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap p {
	text-align: left;
	padding-left: 10px;
}

#xml-list .list>div.xml-rows>ul li div.entry>.wrap>img {
	height: calc(100% - 10px);
}

#xml-list .list>div.xml-columns>.wrap {
	height: 100%;
	white-space: nowrap;
}

#xml-list .list>div.xml-columns>.wrap>.entry>.rownum>*:not(select),
#xml-list .list>div.xml-columns>.wrap>.entry>.wrap>* {
	margin: 0px 5px 0px 5px;
}

#xml-list .list>div.xml-columns>.wrap>.entry>.rownum>p,
#xml-list .list>div.xml-columns>.wrap>.entry>.wrap>p {
	flex-grow: 1;
}

li.selected>div.row {
	background: inherit;
}

li.playing>div.row,
li.selected>div.row,
li.selected>div.entry {
	color: white !important;
	color: var(--font-over-medium) !important;
	background: #334256;
	background: var(--medium);
}

li.selected>div.entry input[type="time"]::-webkit-calendar-picker-indicator {
	filter: invert(100%);
}

li>div.row>button.edit:disabled,
li>div.row>button.edit.disabled {
	opacity: 1 !important;
	border-style: dashed;
}

li>div.row>button.edit:disabled:before,
li>div.row>button.edit.disabled:before {
	color: red !important;
	content: "\f023";
}

li>div.row>button.edit:not(:disabled) {
	cursor: pointer;
}

li>div.row>button.edit:not(.disabled):before,
li>div.row>button.fa-chevron-right:before {
	color: black !important;
}

li>div.entry input,
li>div.entry textarea,
li>div.entry select,
li>div.entry button {
	font-size: inherit !important;
}

li>div.entry textarea:not(:focus) {
	display: table;
	align-items: center;
	justify-content: center;
	vertical-align: middle;
}

li>div.entry textarea:not(:focus),
li>div.entry textarea:not(:focus)::selection {
	color: transparent !important;
	background-color: transparent !important;
}

li>div.entry textarea:not(:focus),
li>div.entry select:not(:focus),
li>div.entry input:not([type="checkbox"]):not(:focus) {
	border: 1px dotted rgba(0, 0, 0, .3) !important;
	background-color: transparent !important;
	overflow: hidden;
	text-overflow: ellipsis;
	opacity: 1 !important;
	color: inherit;
}

#xml-list .list.data>div.xml-rows li:not(.selected) div.entry>.wrap {
	pointer-events: none;
}

div#xml-editor button#lock {
	display: none;
	cursor: default;
	padding-right: 0px;
}

div#xml-editor.DISABLED button#lock {
	display: block;
}

div#xml-editor.DISABLED.LOCKED_BY_USER button#lock {
	color: red !important;
	cursor: pointer;
}

div#xml-editor.DISABLED.LOCKED_BY_USER #xml-list {
	pointer-events: none;
	opacity: .8;
}